Package org.eclipse.team.core

## Interface IProjectSetSerializer

    @Deprecated
    public interface IProjectSetSerializer

Deprecated.
Use `RepositoryProviderType.getProjectSetCapability()` to obtain an instance of `ProjectSetCapability` instead.
IProjectSetSerializer manages the serializing and deserializing of references to projects. Given a project, it can produce a UTF-8 encoded String which can be stored in a file. Given this String, it can create in the workspace an IProject.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IProject[]` `addToWorkspace​(String[] referenceStrings, String filename, Object context, IProgressMonitor monitor)` Deprecated. For every String in referenceStrings, create in the workspace a corresponding IProject.
`String[]` `asReference​(IProject[] providerProjects, Object context, IProgressMonitor monitor)` Deprecated. For every IProject in providerProjects, return an opaque UTF-8 encoded String to act as a reference to that project.

### Method Detail

#### asReference

    String[] asReference​(IProject[] providerProjects,
                         Object context,
                         IProgressMonitor monitor)
                  throws TeamException

Deprecated.
For every IProject in providerProjects, return an opaque UTF-8 encoded String to act as a reference to that project. The format of the String is specific to the provider. The format of the String must be such that IProjectSetSerializer.addToWorskpace() will be able to consume it and recreate a corresponding project.

Parameters:
  `providerProjects` - an array of projects that the serializer should create text references for
  `context` - a UI context object. This object will either be a com.ibm.swt.widgets.Shell or it will be null.
  `monitor` - a progress monitor
Returns:
  String[] an array of serialized reference strings uniquely identifying the projects
Throws:
  `TeamException` - on failures; depends on concrete implementation
See Also:
  `addToWorkspace(String[] referenceStrings, String filename, Object context, IProgressMonitor monitor)`

#### addToWorkspace

    IProject[] addToWorkspace​(String[] referenceStrings,
                              String filename,
                              Object context,
                              IProgressMonitor monitor)
                       throws TeamException

Deprecated.
For every String in referenceStrings, create in the workspace a corresponding IProject. Return an Array of the resulting IProjects. Result is unspecified in the case where an IProject of that name already exists. In the case of failure, a TeamException must be thrown. The opaque strings in referenceStrings are guaranteed to have been previously produced by IProjectSetSerializer.asReference().

Parameters:
  `referenceStrings` - an array of reference strings uniquely identifying the projects
  `filename` - the name of the file that the references were read from. This is included in case the provider needs to deduce relative paths
  `context` - a UI context object. This object will either be a com.ibm.swt.widgets.Shell or it will be null.
  `monitor` - a progress monitor
Returns:
  IProject[] an array of projects that were created
Throws:
  `TeamException` - on failures; depends on concrete implementation
See Also:
  `asReference(IProject[] providerProjects, Object context, IProgressMonitor monitor)`